#
# spec file for "kie-soup"
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           kie-soup
Version:        7.17.0.Final
Release:        6.46.uyuni3
License:        Apache-2.0
Summary:        KIE Soup modules for Drools
Url:            http://drools.jboss.org
Group:          Development/Libraries/Java
Source0:        7.17.0.Final.tar.gz
Source1:        build.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires: xmvn-tools
BuildRequires: xmvn-minimal
BuildRequires:  xz
BuildRequires:  java-devel >= 11
BuildArch:      noarch
Provides:       mvn(org.kie.soup:kie-soup-commons) == 7.17.0.Final
Provides:       mvn(org.kie.soup:kie-soup-project-datamodel) == 7.17.0.Final
Provides:       mvn(org.kie.soup:kie-soup-maven-utils) == 7.17.0.Final
Requires:       java >= 11

%description
The parent contains all metadata (including plugins) and also dependency versions. All KIE Soup modules (except for user BOMs like 'kie-soup-bom') should (transitively) inherit from this POM.

%prep
%setup -q -c -n src
cp -f %{SOURCE1} .

%build
cd ..
sh src/build.sh

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
mkdir -p %{buildroot}%{_javadir}
cp -a kie-soup-7.17.0.Final/kie-soup-commons/target/kie-soup-commons-7.17.0.Final.jar %{buildroot}%{_javadir}/kie-soup-commons-7.17.0.Final.jar
ln -sf kie-soup-commons-7.17.0.Final.jar %{buildroot}%{_javadir}/kie-soup-commons.jar
cp -a kie-soup-7.17.0.Final/kie-soup-project-datamodel/kie-soup-project-datamodel-commons/target/kie-soup-project-datamodel-commons-7.17.0.Final.jar %{buildroot}%{_javadir}/kie-soup-project-datamodel-commons-7.17.0.Final.jar
ln -sf kie-soup-project-datamodel-commons-7.17.0.Final.jar %{buildroot}%{_javadir}/kie-soup-project-datamodel-commons.jar
cp -a kie-soup-7.17.0.Final/kie-soup-maven-utils/kie-soup-maven-support/target/kie-soup-maven-support-7.17.0.Final.jar %{buildroot}%{_javadir}/kie-soup-maven-support-7.17.0.Final.jar
ln -sf kie-soup-maven-support-7.17.0.Final.jar %{buildroot}%{_javadir}/kie-soup-maven-support.jar

%files
%defattr(-,root,root)
%{_javadir}/*

%changelog
* Sat Nov 28 2020 Michael Calmer <mc@suse.com>
- build always with java 11 or higher
* Tue Sep  8 2020 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Do not exclude aarch64
* Fri Mar  8 2019 Frantisek Kobzik <fkobzik@suse.com>
- Create kie-soup package
